Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 624919 - Init script fails for restart if daemon is running.
Init script fails for restart if daemon is running.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
14
All Linux
high Severity medium
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On: 623788
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 01:06 EDT by Ian Kent
Modified: 2012-08-16 17:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 623788
Environment:
Last Closed: 2012-08-16 17:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2010-08-18 01:06:34 EDT
+++ This bug was initially created as a clone of Bug #623788 +++

Description of problem:

The init script is broken for restarts.  I think this fixes:

diff -u -r1.1 autofs-5.0.5-make-redhat-init-script-more-lsb-compliant.patch
--- autofs-5.0.5-make-redhat-init-script-more-lsb-compliant.patch       24 May
2010 03:01:04 -0000       1.1
+++ autofs-5.0.5-make-redhat-init-script-more-lsb-compliant.patch       19 Jul
2010 17:47:14 -0000
@@ -61,7 +61,7 @@

  function restart() {
 -      stop
-+      status > /dev/null 2>&1
++      status -p /var/run/autofs.pid -l autofs $prog > /dev/null 2>&1
 +      if [ $? -eq 0 ]; then
 +              stop
 +      fi

--- Additional comment from michal@harddata.com on 2010-08-12 18:38:42 EDT ---

(In reply to comment #0)

> The init script is broken for restarts.  I think this fixes:

It appears that this should read:

   status -p /var/run/autofs.pid -l $prog

instead of 

   status -p /var/run/autofs.pid -l autofs $prog

but this indeed fixes the problem for me.  autofs-5.0.5-26.fc13 has surely broken startup script as 'status > /dev/null 2>&1' invariably ends as 1.

--- Additional comment from orion@cora.nwra.com on 2010-08-12 18:46:29 EDT ---

I think my original is correct. -p is pid file, -l is lock file name, and then you pass the program name.

--- Additional comment from michal@harddata.com on 2010-08-12 19:04:06 EDT ---

(In reply to comment #2)
> I think my original is correct. -p is pid file, -l is lock file name, and then
> you pass the program name.    

Yes, I think that you are right. OTOH it appears that just
'status -p /var/run/autofs.pid' is good enough and remaining arguments are not that essential.

--- Additional comment from ikent@redhat.com on 2010-08-18 01:01:58 EDT ---

(In reply to comment #3)
> (In reply to comment #2)
> > I think my original is correct. -p is pid file, -l is lock file name, and then
> > you pass the program name.    
> 
> Yes, I think that you are right. OTOH it appears that just
> 'status -p /var/run/autofs.pid' is good enough and remaining arguments are not
> that essential.

It turns out that changing the status call to "status autofs"
will use the correct pid file.

--- Additional comment from ikent@redhat.com on 2010-08-18 01:02:33 EDT ---



--- Additional comment from updates@fedoraproject.org on 2010-08-18 01:06:03 EDT ---

autofs-5.0.5-27.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/autofs-5.0.5-27.fc13
Comment 1 Fedora Admin XMLRPC Client 2010-12-06 10:13:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2012-08-16 17:37:22 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.